# var

## Name

var — A single script variable

## Synopsis

Content Model

    var ::=

Attributes
Name | Type
`name` | CDATA (required)
`valueid` | CDATA (required)
`value` | CDATA (deprecated)

## Description

A `var` element stores a single script variable.

Script packets may contain variables representing other packets in the same packet tree, allowing easy access to these other packets from within a script.

### Parents

The following elements contain `var`: `packet` (script).

### Children

Element `var` has no children.

## Attributes

`name`

  The variable name. Variable names are case sensitive.

`valueid`

  The value of this variable. This should a packet identifier; specifically, it must match the `id` attribute that is stored in the value's `packet` tag. If the variable has a null value, then this should be the empty string.

  This attribute was introduced in Regina 4.95.

`value`

  Deprecated. This stores the value of this variable as a packet label; specifically, it must match the `label` attribute that is stored in the value's `packet` tag.

  You should write this tag if you want your file to be read by Regina 4.94 or earlier. Later versions of Regina can also read it; however, they prefer the new `valueid` since (unlike packet labels) packet IDs are guaranteed to be unique.